SetSignProcessCustomSubFilter

セキュリティと署名

説明

デジタル署名プロセス用にカスタム文字列で SubFilter エントリを設定し、署名値のエンコーディングを指定します

SetSignProcessSubFilter と同様だが、Subfilter エントリをカスタマイズできる

指定文字列が ETSI. で始まる場合 (通常は PAdES ベースライン署名用の ETSI.CAdES.detached またはドキュメントタイムスタンプ用の ETSI.RFC3161)、ライブラリは PAdES /Extensions /ESIC <</BaseVersion /1.7 /ExtensionLevel 2>> エントリをドキュメントカタログへ自動追加します これは ETSI EN 319 142-1 v1.2.1 §5.6 の要件です TPDFlib により作成された PDF では、等価な Adobe 宣言 (/Extensions /ADBE、/ExtensionLevel 8) も並行して追加されます この挿入は冪等であり、既存のより高い拡張レベルを下げることはありません

ETSI.CAdES.detached を選択すると PAdES-B-B 署名パスも有効になります。生成される CMS ペイロードには content-type(id-data)と signing-certificate-v2(RFC 5035 / RFC 5816)の認証済み属性が含まれ、EN 319 142-1 Table 1 が禁止する signing-time 属性は、ライブラリが独自の属性配列を CryptSignMessage に渡すため省略されます。署名証明書は SHA-256 ダイジェスト(SetSignProcessDigestAlgorithm がより大きなハッシュを選択する場合は SHA-384 / SHA-512)で識別され、現在のビルドは省略可能な IssuerSerial タプル(発行者識別名とシリアル番号)も含めるため、より厳格な PAdES 検証ツールが候補チェーンと照合できます

構文

Delphi

Function TPDFlib.SetSignProcessCustomSubFilter(SignProcessID: Integer; SubFilterStr: WideString): Integer;

ActiveX

Function PDFlib::SetSignProcessCustomSubFilter(SignProcessID As Long, SubFilterStr As String) As Long

DLL

int DLSetSignProcessCustomSubFilter(int InstanceID, int SignProcessID, const wchar_t * SubFilterStr);

パラメータ

SignProcessIDNewSignProcessFromFile、NewSignProcessFromStream、または NewSignProcessFromString 関数が返す値
SubFilterStrカスタム SubFilter 文字列エントリ

戻り値

0SignProcessID パラメーターが無効か、SubFilter パラメーターが範囲外でした
1Success